<?php
  //  $lite = isset($_GET["lite"]);
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    require_once("lib/funits.php");
    $unit = new Unit();
    require_once("lib/frole.php");
    $role = new Role();

	$role->isPageEnable($user->uuid);

?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Рейтинг административных подразделений</title>
<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="//code.highcharts.com/highcharts.js"></script>
<script src="//code.highcharts.com/highcharts-more.js"></script>
<script src="//code.highcharts.com/modules/exporting.js"></script>

<link rel="stylesheet" href="/css/jquery-ui.css" />
<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
<link rel="stylesheet" href="/css/units.css" />

<script src="/js/auth.js"></script>

<style>
.black1 td, .black1 th{
	padding: 2px 10px;
	text-aling: center;
	border: 1px solid black;
	}
	.redtext{
		color:red;
	}
	.allstat th{
	padding:3px 15px;
	}
	.allstat td{
	padding:3px 15px;
	border:1px solid black;
	}
</style>
	<?php
	$par[0][0]="Подразделение";
	$par[0][1]='Частота взаимодействия . ';
	$par[0][2]='Выполнение правил распорядка';
    $par[0][3]='Компетентность сотрудников' ;
	$par[0][4]='Оперативность рассмотрения обращений';
	$par[0][5]='Культура общения сотрудников';
	$par[0][6]='Оценка материалов';
	$par[0][7]='Использование электронных ресурсов';
//	$par[1] = $unit->avgArray();
//	$par[2] = $unit->avgArray(2);
	$par[1][0]="Среднее значение";
	$par[2][0]="Подразделение";

	for($i=1; $i<=7;$i++){
		$par[2][$i]=100;
		$par[1][$i]=50;
	}
?>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
       Рейтинг административных подразделений <span style="color:red">*</span>
    </h1>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>
  <div class="header__helper"></div>
</header>

<div class = "left">
</div>

<!-- CURRENT PAGE -->

<div class="all">
	<?php
echo $role->userMenu($user->uuid);
	?>
<div style="width:90%;padding:20px;margin:0 auto;">

<?php
	echo $unit->statusMenu();
	if(isset($_GET['id'])){
		echo '<a href="http://'.$_SERVER['HTTP_HOST'].'/unitsrating.php">Отменить выбор подразделения</a>';
		echo'<div id="container" style="min-width: 800px; max-width: 800px; height: 400px; margin: 0 auto;width: 1000px;"></div>';
		$unitID = (int)$_GET['id'];
	}else{
		$unitID = 0;
	}
	if(isset($_GET['st'])){
		echo $unit->unitsMenu($_GET['st']);
		echo '<p>&nbsp;</p>';
        echo $unit->allMarks($unitID, $_GET['st']);
        echo '<br/>';
		echo $unit->allMarksSource($unitID, $_GET['st']);
	}
?>
</div>



</body>
</html>
